<!DOCTYPE html>
<html lang="en" dir="ltr">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="UTF-8">
    <title>Coming soon</title>
    <link rel="stylesheet" href="style.css">
    
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
    <link rel="manifest" href="manifest.json">
    <link rel="apple-touch-icon" sizes="180x180" href="icons/icon-180x180.png">
</head>
<body>
    <i onclick="back_icon()" class="fa fa-chevron-left" aria-hidden="true" style="font-size: 25px;"></i>
    <div class="container">
        <h1>TFMB</h1>
        <h2>Coming soon.</h2>

        <div class="count">
            <div class="lay">
                <div class="countd">
                    <span id="days">00</span>
                    DAYS
                </div>

                <div class="countd">
                    <span id="hours">00</span>
                    HOURS
                </div>
            </div>

            <div class="lay">
                <div class="countd">
                    <span id="minutes">00</span>
                    MINUTES
                </div>
                
                <div class="countd">
                    <span id="seconds">00</span>
                    SECONDS
                </div>
            </div>
        </div>
    </div>


    <script type="text/javascript">

        var count = new Date("JUL 1,2019 00:00:00").getTime();
        var x = setInterval(function() {
            // console.log('TEST');
            var now= new Date().getTime();
            var d = count - now;

            var days = Math.floor(d/(1000*60*60*24));
            var hours = Math.floor((d%(1000*60*60*24))/(1000*60*60));
            var minutes = Math.floor((d%(1000*60*60))/(1000*60)); x
            var seconds =  Math.floor((d%(1000*60))/1000);

            document.getElementById("days").innerHTML = days;
            document.getElementById("hours").innerHTML = hours;
            document.getElementById("minutes").innerHTML = minutes;
            document.getElementById("seconds").innerHTML = seconds;

            if(d <= 0) {
                clearInterval(x);
            }

        },1000);
        
        function back_icon () {
            window.history.back();
        }
        const gradients = ["#be5242, #63a4bd", "#00d2ff, #928dab", "#2196f3, #f44336", "#ff5f6d, #ffc371", "#eecda3, #ef629f"]
        function random_gradient() {
            let j = Math.floor(Math.random() * gradients.length);
            let randomDeg = Math.floor(Math.random() * 180);
            document.body.style.background = `linear-gradient(${randomDeg}deg, ${gradients[j]})`;
        }
        random_gradient();
    </script>
</body>
</html>